Shellshock flaw could pose risks to payments industry

No problems have been reported yet, but those in the industry should patch if possible

The "Shellshock" flaw has the potential to pose a risk to the payments industry, but doesn't appear to have caused any problems yet, an official with a consortium run by major credit card companies warned on Tuesday.

The PCI Security Standards Council develops technical standards for protecting payment card data, a closely watched area following a spate of data breaches at retailers including Home Depot and Target.

"It has the potential to be a risk," said Troy Leach, the organization's CTO, of the flaw in the GNU Bourne Again Shell (Bash), a command-line shell processor in Unix and Linux.

"The dependancy on Bash is pretty extreme. It's something we have to be diligent about," he said.

Leach said the council hasn't issued an advisory about Shellshock but is monitoring developments.

The PCI Data Security Standards (DSS) recommend that retailers patch their systems quickly when software updates are released. But retailers and merchants have often been slow to do so, exposing their systems to attackers seeking card data.

The PCI Council has advised in light of recent data breaches that maintaining compliance with its standards should be a continuing process, and merchants can't expect to pass an annual audit and believe they're in compliance for another year.

Leach said that process includes staying current on emerging threats such as Shellshock.

"With the announcement this month of Shellshock ... you should be looking to see how your systems are vulnerable and monitoring for when those patches are available," he said.

Patches have been slowly rolling out for Shellshock, which could allow an attacker to append malicious commands into a CGI (Common Gateway Interface) request through Bash, which would then be processed by a server.

Bash is relatively easy to remotely exploit, allowing root access to a system. In that scenario, Leach said it wouldn't matter how secure the underlying payment system is.

"Once you have root access, you pretty much have it all," Leach said. "Keep your eye on this particular threat because I do think this is one that has the potential for severe harm."

Send news tips and comments to jeremy_kirk@idg.com. Follow me on Twitter: @jeremy_kirk

Join the CSO newsletter!

Error: Please check your email address.

Tags patchessecuritydata breachdata protectionmalwarePCI Security Standards Council

More about CGIGatewayHome DepotLinux

Show Comments

Featured Whitepapers

Editor's Recommendations

Solution Centres

Stories by Jeremy Kirk

Latest Videos

More videos

Blog Posts